/* footer */
footer {
    background: var(--secondary-color);
    display: flex;
    flex-direction: column;
    gap: 100px;
    justify-content: center;
    align-items: center;
    padding: 120px 0;
    overflow-x: hidden;
}

.footer-top {
    display: flex;
    flex-direction: column;
    gap: 10px;
    align-items: center;
}

.footer-top h1 {
    font-size: 34px;
    font-weight: 600;
    font-family: "Playfair Display", serif;
    color: var(--default-color);
}

.footer-top p {
    font-size: 12px;
    font-weight: 400;
    font-family: "Aller-regular", serif;
    color: var(--text-color-6);
}

.footer-top .inputs {
    margin-top: 20px;
    display: flex;
    align-items: center;
    gap: 10px;
}

.footer-top input {
    background: transparent;
    border: 1px solid var(--border-color-6);
    border-radius: 4px;
    padding: 12px 20px;
    color: #fff;
    font-family: "Aller-regular", serif;
    font-size: 16px;

    font-weight: 400;
}

#confirmButton {
    background: var(--secondary-color);
}

#footer-button {
    background: var(--bg-color-4);
    border-radius: 6px;
    padding: 10px 30px;
    border: none;
    color: #20154e;
    text-align: right;
    font-family: "Aller-regular", serif;
    font-size: 22px;
    font-weight: 400;

    letter-spacing: -0.141px;
}

#footer-vertical-line {
    background: var(--border-color-1);
    height: 253px;
    width: 1px;
}

.footer-bottom {
    display: flex;
    align-items: center;
    justify-content: space-around;
}

.footer-left {
    display: flex;
    flex-direction: column;
    gap: 20px;
    width: 443px;
}

.footer-left a {
    text-decoration: none;
    color: var(--default-color);
    font-size: 16px;
    font-weight: 400;
    font-family: "Aller-regular", serif;
}

.footer-middle {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 30px;
    width: 550px;
}

.footer-middle p {
    color: var(--text-color-5);
    font-size: 12px;
    font-weight: 400;
    font-family: "Inter", sans-serif;
}

.footer-right {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-end;
    width: 443px;
    gap: 20px;
}

.footer-right p {
    color: var(--default-color);
    font-size: 14px;
    font-weight: 400;
    font-family: "Aller-regular", serif;
}

.footer-right p:last-of-type {
    max-width: 280px;
    text-align: right;
    line-height: 20px;
    font-size: 14px;
    font-weight: 400;
    font-family: "Aller-regular", serif;
}

.footer-right {
    display: flex;
    align-items: flex-end;
    justify-content: flex-end;
    height: 253px;
}

.footer-social {
    display: flex;
    gap: 12px;
}

footer .modal-content {
    background: #feefec;
}

footer .modal-header h1 {
    color: var(--text-color-1);
    font-size: 18px;
    font-weight: 600;
}

footer .modal-body p {
    color: var(--text-color-1);
    font-family: "Aller-regular", serif;
    font-size: 16px;
    font-weight: 400;
}

@media only screen and (max-width: 1280px) {
    .footer-top {
        text-align: center;
    }

    .footer-top .inputs {
        flex-direction: column;
        width: 100%;
        gap: 30px;
    }

    .footer-top input {
        width: 100%;
    }

    .footer-top button {
        width: 100%;
    }

    .footer-bottom {
        flex-direction: column;
        gap: 50px;
    }

    .footer-left {
        width: unset;
        text-align: center;
    }
    .footer-right {
        width: unset;
        justify-content: center;
        align-items: center;
        gap: 0;
    }

    .footer-right p:last-of-type {
        text-align: center;
    }

    .partner {
        min-width: unset;
    }

    #footer-vertical-line {
        display: none;
    }
}
